<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddImeEnrolledPatternGroupReq StructType
 * @subpackage Structs
 */
class AddImeEnrolledPatternGroupReq extends APIRequest
{
    /**
     * The imeEnrolledPatternGroup
     * @var XImeEnrolledPatternGroup
     */
    public $imeEnrolledPatternGroup;
    /**
     * Constructor method for AddImeEnrolledPatternGroupReq
     * @uses AddImeEnrolledPatternGroupReq::setImeEnrolledPatternGroup()
     * @param XImeEnrolledPatternGroup $imeEnrolledPatternGroup
     */
    public function __construct(XImeEnrolledPatternGroup $imeEnrolledPatternGroup = null)
    {
        $this
            ->setImeEnrolledPatternGroup($imeEnrolledPatternGroup);
    }
    /**
     * Get imeEnrolledPatternGroup value
     * @return XImeEnrolledPatternGroup|null
     */
    public function getImeEnrolledPatternGroup()
    {
        return $this->imeEnrolledPatternGroup;
    }
    /**
     * Set imeEnrolledPatternGroup value
     * @param XImeEnrolledPatternGroup $imeEnrolledPatternGroup
     * @return AddImeEnrolledPatternGroupReq
     */
    public function setImeEnrolledPatternGroup(XImeEnrolledPatternGroup $imeEnrolledPatternGroup = null)
    {
        $this->imeEnrolledPatternGroup = $imeEnrolledPatternGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddImeEnrolledPatternGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
